LineDocLocalAnalysis (Hadoop 0.20.2+320 API)
Date: 2010-06-28

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.contrib.index.example
Class LineDocLocalAnalysis

    java.lang.Object
      org.apache.hadoop.contrib.index.example.LineDocLocalAnalysis

All Implemented Interfaces:
  Closeable, ILocalAnalysis<DocumentID,LineDocTextAndOp>, JobConfigurable, Mapper<DocumentID,LineDocTextAndOp,DocumentID,DocumentAndOp>

    public class LineDocLocalAnalysis

extends Object
implements ILocalAnalysis<DocumentID,LineDocTextAndOp>

Convert LineDocTextAndOp to DocumentAndOp as required by ILocalAnalysis.

Constructor Summary
`LineDocLocalAnalysis()`

Method Summary
`void` | `close()`
`void` | `configure(JobConf job)` Initializes a new instance from a `JobConf`.
`void` | `map(DocumentID key, LineDocTextAndOp value, OutputCollector<DocumentID,DocumentAndOp> output, Reporter reporter)` Maps a single input key/value pair into an intermediate key/value pair.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineDocLocalAnalysis

    public LineDocLocalAnalysis()

Method Detail

### map

    public void map(DocumentID key,
                    LineDocTextAndOp value,
                    OutputCollector<DocumentID,DocumentAndOp> output,
                    Reporter reporter)
             throws IOException

  Description copied from interface: `Mapper`
  Maps a single input key/value pair into an intermediate key/value pair.

  Output pairs need not be of the same types as input pairs. A given input pair may map to zero or many output pairs. Output pairs are collected with calls to `OutputCollector.collect(Object,Object)`.

  Applications can use the `Reporter` provided to report progress or just indicate that they are alive. In scenarios where the application takes an insignificant amount of time to process individual key/value pairs, this is crucial since the framework might assume that the task has timed-out and kill that task. The other way of avoiding this is to set mapred.task.timeout to a high-enough value (or even zero for no time-outs).

  Specified by:
    `map` in interface `Mapper<DocumentID,LineDocTextAndOp,DocumentID,DocumentAndOp>`
  Parameters:
    `key` - the input key.
    `value` - the input value.
    `output` - collects mapped keys and values.
    `reporter` - facility to report progress.
  Throws:
    `IOException`

### configure

    public void configure(JobConf job)

  Description copied from interface: `JobConfigurable`
  Initializes a new instance from a `JobConf`.

  Specified by:
    `configure` in interface `JobConfigurable`
  Parameters:
    `job` - the configuration

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation